%global pname abGate
Name:           lv2-abGate
Version:        1.1.3
Release:        13%{?dist}
Summary:        An LV2 Noice Gate

Group:          Applications/Multimedia
License:        GPLv3+
URL:            http://abGate.sourceforge.net
Source0:        http://downloads.sourceforge.net/project/abgate/abGate-source/abGate-1.1.3.tar.gz
BuildRequires:  lv2-devel
BuildRequires:  gtkmm24-devel
Requires:       lv2

%description
A Noise Gate plugin 

%prep
%setup -q -n %{pname}-%{version}
sed -i -e 's|-O3|%{optflags}|' Makefile
sed -i -e 's|/lib/lv2|/%{_lib}/lv2|' Makefile plugin_configuration.h


# Fix encoding issues
for file in README license.txt; do
   sed 's|\r||' $file > $file.tmp
   iconv -f ISO-8859-1 -t UTF8 $file.tmp > $file.tmp2
   touch -r $file $file.tmp2
   mv -f $file.tmp2 $file
done

%build
make  

%install
make install DESTDIR=%{buildroot}  

%files
%doc README
%license license.txt
%{_libdir}/lv2/%{pname}.lv2


%changelog
* Sun Jun 21 2015 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.1.3-13
- Rework sed-pattern to modify Makefile and plugin_configuration.h (Fix FTBFS).
- Add %%license.
- Eliminate "File listed twice" warnings.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.3-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.3-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri May 11 2012 Brendan Jones <brendan.jones.it@gmail.com> 1.1.3-6
- Correct merge typo in spec file

* Fri May 11 2012 Brendan Jones <brendan.jones.it@gmail.com> 1.1.3-5
- Build against new lv2

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.3-4
- Rebuilt for c++ ABI breakage

* Fri Jan 20 2012 Dan Horák <dan[at]danny.cz> 1.1.3-3
- fix build on non-x86 64-bit arches

* Fri Jan 6 2012 Brendan Jones <brendan.jones.it@gmail.com> 1.1.3-2
- Removed lv2config

* Mon Oct 31 2011 Brendan Jones <brendan.jones.it@gmail.com> 1.1.3-1
- Initial build

